API

Search contacts

Searches contacts in the API key workspace. Omit filter to return all contacts. The maximum page size is 100. Set Accept to text/csv or the xlsx MIME type to download the matching contacts as a spreadsheet.

POST/contacts-search

Authorization

apiKey contacts:read-only
x-api-key<token>

In: header

Scope: contacts:read-only

Header Parameters

X-Api-Version?string

API version date. Requests without the header use 2026-07.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

fields?array<string>
orderBy?
filter?||

Omit the filter to search all contacts in the API key workspace.

offset*number

Number of matching contacts to skip.

limit*number

Maximum number of contacts to return.

curl -X POST "https://example.com/contacts-search" \  -H "X-Api-Version: 2026-07" \  -H "Content-Type: application/json" \  -d '{    "offset": 0,    "limit": 1  }'
{  "meta": {    "maxResults": 0.1  },  "items": [    {      "property1": null,      "property2": null    }  ]}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}